import { useState, useEffect } from 'react';
import { csv } from 'd3';



const csvUrl =
  'https://gist.githubusercontent.com/vigneswaran009/f7c2f4b563cb0862592f41ee96a87c9d/raw/4cc4de8f05da40694d5d04d59957b1ee39cf4573/worldcities_clean.csv';

const row = d => {
  d.lat = +d.lat;
  d.lng = +d.lng;
return d;
}
export const useCities = () => {
  const [data, setData] = useState(null);

  console.log(data);
  
  
  useEffect(() => {
   
    
    
    csv(csvUrl, row).then(setData)
  }, []);
  
  return data;
};